
/*
 * DataStore for files.
 *
 * This is a read-only store.
 * Proxy URL depends on application's configuration settings.
 */

Ext.define('POSync.store.Files', {
    storeId:    'Files',
    extend:     'Ext.data.TreeStore',
    requires:   'POSync.model.File',
    model:      'POSync.model.File',
    nodeParam:  'object_id',
    root: {
        expanded: true,
        children: []
    },

    proxy: {
        type:   'ajax',
        url: '/intranet-rest-fs-openacs/file-tree.json',
        reader: {
            type:   'json',
            root:   'children'
        }
    }
});
